<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sar__intr__mask__t__register__enums" kind="group">
    <compoundname>group_sar_intr_mask_t_register_enums</compoundname>
    <title>Interrupt Mask Register Enums</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__sar__intr__mask__t__register__enums_1gaed86236056495517571b7949afec3eb9" kind="enum" prot="public" static="no">
        <name>cy_en_sar_intr_mask_t</name>
        <enumvalue id="group__group__sar__intr__mask__t__register__enums_1ggaed86236056495517571b7949afec3eb9a48b18476114beb21c27ab79d79c25bfb" prot="public">
          <name>CY_SAR_INTR_MASK_NONE</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Disable all interrupt sources. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__intr__mask__t__register__enums_1ggaed86236056495517571b7949afec3eb9a7a9f203ad00dedc91c67f162104520cd" prot="public">
          <name>CY_SAR_INTR_EOS_MASK</name>
          <initializer>= SAR_INTR_MASK_EOS_MASK_Msk</initializer>
          <briefdescription>
<para>Enable end of scan (EOS) interrupt. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__intr__mask__t__register__enums_1ggaed86236056495517571b7949afec3eb9a41af76a14e783b1b2d9331fa33e7d1a6" prot="public">
          <name>CY_SAR_INTR_OVERFLOW_MASK</name>
          <initializer>= SAR_INTR_MASK_OVERFLOW_MASK_Msk</initializer>
          <briefdescription>
<para>Enable overflow interrupt. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__intr__mask__t__register__enums_1ggaed86236056495517571b7949afec3eb9afa668ef33ed6e5b1429ff15d7377f0a2" prot="public">
          <name>CY_SAR_INTR_FW_COLLISION_MASK</name>
          <initializer>= SAR_INTR_MASK_FW_COLLISION_MASK_Msk</initializer>
          <briefdescription>
<para>Enable firmware collision interrupt. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__intr__mask__t__register__enums_1ggaed86236056495517571b7949afec3eb9a72dcdf18bd2fd50563f8d02908ddd416" prot="public">
          <name>CY_SAR_INTR_INJ_EOC_MASK</name>
          <initializer>= SAR_INTR_INJ_EOC_INTR_Msk</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__intr__mask__t__register__enums_1ggaed86236056495517571b7949afec3eb9a55b190cd11b19dbe3f483e4628b4cc07" prot="public">
          <name>CY_SAR_INTR_INJ_SATURATE_MASK</name>
          <initializer>= SAR_INTR_INJ_SATURATE_INTR_Msk</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__intr__mask__t__register__enums_1ggaed86236056495517571b7949afec3eb9a7b92072dad8615ebfe8a470ee12f8042" prot="public">
          <name>CY_SAR_INTR_INJ_RANGE_MASK</name>
          <initializer>= SAR_INTR_INJ_RANGE_INTR_Msk</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__intr__mask__t__register__enums_1ggaed86236056495517571b7949afec3eb9ad7f375514b436f661e4d7c3e79628540" prot="public">
          <name>CY_SAR_INTR_INJ_COLLISION_MASK</name>
          <initializer>= SAR_INTR_INJ_COLLISION_INTR_Msk</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_intr_mask_t: </bold><linebreak />Configure which signal will cause an interrupt event.</para></briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>End of scan (EOS): occurs after completing a scan of all enabled channels</para></listitem><listitem><para>Overflow: occurs when hardware sets a new EOS interrupt while the previous interrupt has not be cleared by the firmware</para></listitem><listitem><para>Firmware collision: occurs when firmware attempts to start one-shot conversion while the SAR is busy.</para></listitem></itemizedlist>
</para><para>Enable all, one, or none of the interrupt events. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1239" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1229" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1230" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This set of enumerations aids in configuring the SAR INTR_MASK register. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>